<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__quaddec__mode" kind="group">
    <compoundname>group_tcpwm_quaddec_mode</compoundname>
    <title>QuadDec Mode</title>
      <sectiondef kind="define">
      <memberdef id="group__group__tcpwm__quaddec__mode_1ga1bde5608416e3470da46565196e2f2e3" kind="define" prot="public" static="no">
        <name>CY_TCPWM_QUADDEC_MODE_RANGE0</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Counter Range between 0x0000 and 0xFFFF / 0xFFFFFFFF (for GRP_CNT_WIDTH = 16 / 32) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="116" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="116" />
      </memberdef>
      <memberdef id="group__group__tcpwm__quaddec__mode_1ga9ffa391176e0e8461921b3ad21f43315" kind="define" prot="public" static="no">
        <name>CY_TCPWM_QUADDEC_MODE_RANGE0_CMP</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Counter Range0 with a compare function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="118" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="118" />
      </memberdef>
      <memberdef id="group__group__tcpwm__quaddec__mode_1gabeed5586b7a7ca17b952a77288939851" kind="define" prot="public" static="no">
        <name>CY_TCPWM_QUADDEC_MODE_RANGE1_CAPT</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>COUNTER range is between 0x0000 and PERIOD with 1 or 2 Capture functions. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="120" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="120" />
      </memberdef>
      <memberdef id="group__group__tcpwm__quaddec__mode_1gaceef700ff0c4e6dd3f27c5a7ff4c8d36" kind="define" prot="public" static="no">
        <name>CY_TCPWM_QUADDEC_MODE_RANGE1_CMP</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>Same as QUAD_RANGE1_CAPT with 1 or 2 Compare functions. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="122" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="122" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The quadrature decoder mode. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>